Bug 118612 - ItemIndexPage.BundleListModelBuilder and multilingual content
ItemIndexPage.BundleListModelBuilder and multilingual content
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-18 05:38 EST by Carsten Clasohm
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 05:09:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carsten Clasohm 2004-03-18 05:38:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
When viewing a folder on the "Public Site" of a content section, all
bundles with at least one live language are shown. Clicking on a
bundle for which no language instance accepted by the client browser
exists, results in a 404 error.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. In the default content section, create a new Article with a
language instance which your browser does not accept.
2. Publish the instance.
3. Go to /ccm/content/
4. Click on the item, and you will get a 404 error.


Actual Results:  All bundles with at least one live language instance
are listed.


Expected Results:  ItemIndexPage.BundleListModelBuilder.makeModel() should
use ContentBundle.negotiate, or a custom query, to only include
bundles which have a language instance which the client will accept.


Additional info:
Comment 1 Carsten Clasohm 2006-07-12 05:09:42 EDT
Closing old tickets.

Note You need to log in before you can comment on or make changes to this bug.